This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 53198 - New freeform schema (/2) for unit test and Javadoc location
Summary: New freeform schema (/2) for unit test and Javadoc location
Status: CLOSED FIXED
Alias: None
Product: java
Classification: Unclassified
Component: Freeform (show other bugs)
Version: 4.x
Hardware: All All
: P2 blocker (vote)
Assignee: Jesse Glick
URL:
Keywords: API
Depends on:
Blocks: 47835 49677
  Show dependency tree
 
Reported: 2005-01-11 01:16 UTC by Jesse Glick
Modified: 2006-03-24 12:47 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments
Proposed new schema (3.37 KB, text/plain)
2005-01-11 01:17 UTC, Jesse Glick
Details
Planned patch (75.79 KB, patch)
2005-01-17 23:52 UTC, Jesse Glick
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2005-01-11 01:16:16 UTC
Proposed new XML namespace and schema for the
java-specific portion of a freeform project.xml.
Compared to the /1 namespace, this schema adds the
<unit-tests/> and <javadoc-build-to>LOCATION</>
optional elements.

This issue is just for tracking the proposed
format change. Code changes would include:

1. Modification of queries in the java/freeform
module to interpret both the /1 and /2 namespaces.
(Handled by blocked issues.)

2. Corresponding unit tests to check that the
interpretation is correct. (Handled by blocked
issues.)

3. Addition of the new schema to the list of
schemas available for validating a freeform
project.xml against.

4. Use of the new namespace in newly created
freeform projects.

5. GUI changes to let the user visually configure
the new information. Preferably, the GUI should
operate on a project with the old namespace by
writing the new namespace only if either or both
of the new elements become required as a result of
changes made in the project properties dialog, and
only after a suitable warning that the modified
project will not be fully operational under NB
4.0. (Handled by blocked issues. Optional for E
since manual editing of project.xml is still a
possibility for advanced users.)
Comment 1 Jesse Glick 2005-01-11 01:17:26 UTC
Created attachment 19592 [details]
Proposed new schema
Comment 2 Jesse Glick 2005-01-17 23:52:11 UTC
Created attachment 19734 [details]
Planned patch
Comment 3 Jesse Glick 2005-01-18 00:56:10 UTC
Fixed w/ issue #47835 & issue #49677. No GUI for now.

CVS log lost, sorry.
Comment 4 Jaromir Uhrik 2006-01-18 10:46:39 UTC
Marking this issue as VERIFIED since the issue reporter == issue owner.